# initWithdrawal()

### Function **initWithdrawal()**

```
function initWithdrawal(IPoolToken poolToken, uint256 poolTokenAmount)
        external
```

The traditional function `initWithdrawal()` takes only a pool and an amount as arguments, this means that the address calling the function must be the depositor of the pool tokens or have approval from the depositor to access their pool tokens.

### **Function Arguments**

| Name            | Type       | Description                                      |
| --------------- | ---------- | ------------------------------------------------ |
| poolToken       | IPoolToken | The address of the token deposited into the pool |
| poolTokenAmount | uint256    | Amount to withdraw                               |

{% hint style="warning" %}
In order to identify the poolToken address needed for this function, follow the steps in the poolToken Mapping section
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bancor.network/developer-guides/write-functions/removing-liquidity/initiating-cooldown/initwithdrawal.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
